.sidebars {
  background-color: #fff;
  padding: 15px;
  margin-bottom: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0,0,0,0.05);
}

.blog-card:hover {
  transform: translateY(-5px);
  transition: all 0.3s ease;
  cursor: pointer;
}

.pagination li {
  margin: 0 5px;
}

.pagination .page-link {
  border-radius: 50%;
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #2E37A4;
  font-weight: bold;
  transition: all 0.3s ease;
}

.pagination .page-link:hover {
  background-color: #2E37A4;
  color: #fff;
}

.pagination .active .page-link {
  background-color: #2E37A4;
  color: #fff;
  border: none;
}

h5.card-title {
  color: #2E37A4; 
}

/* Card styling */
.blog-card {
  height: 500px;       /* Fixed height for all cards */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

/* Image styling */
.blog-img {
  height: 200px;       /* Fixed image height */
  width: 100%;         /* Full width of card */
  object-fit: cover;   /* Crop/scale image to fill without distortion */
    
}

/* Card body scrollable if text overflows */
.card-body {
  /* overflow: hidden; */
}

/* Optional: truncate long description */
.card-text {
  display: -webkit-box;
  -webkit-line-clamp: 5; /* Show max 5 lines */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.btn-add-cart {
  background-color: #2E37A4; /* Green color */
  color: #fff;
  border: none;
  padding: 5px 12px;
  border-radius: 5px;
  font-size: 10px;
  text-decoration: none; /* remove underline from <a> */
  transition: background 0.3s ease;
  font-weight: 700;
}

.btn-add-cart:hover {
  background-color: #2E37A4; /* Darker green on hover */
  color: #fff;
}

/* 🔹 Shine Animation */
.blog-card {
  position: relative;
  overflow: hidden;
}

.blog-card::after {
  content: "";
  position: absolute;
  top: -100%;
  left: -100%;
  width: 200%;
  height: 200%;
      background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, .3) 100%);
  transform: rotate(25deg);
  opacity: 0;
}

.blog-card:hover::after {
  opacity: 1;
  animation: shine 2s forwards;
}

@-webkit-keyframes shine {
  from {
    top: -100%;
    left: -100%;
  }
  to {
    top: 100%;
    left: 100%;
  }
}

@keyframes shine {
  from {
    top: -100%;
    left: -100%;
  }
  to {
    top: 100%;
    left: 100%;
  }
}